=== cpp/examples/primal_dual/CMakeLists.txt ===
add_example(pd_inpainting inpainting.cc LIBRARIES sopt tools_for_tests LABELS pd)
add_example(pd_tv_inpainting tv_inpainting.cc LIBRARIES sopt tools_for_tests LABELS pd)
