=== debian/changelog ===
sopt (4.2.0+dfsg-2) unstable; urgency=medium

  * Replace catch b-dep with catch2 (Closes: #1092263)

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Jan 2025 20:38:00 +0100

sopt (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2.0+dfsg
  * Drop patches that were applied upstream
  * Ignore test data in installation

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Dec 2024 16:18:49 +0100
