=== debian/control ===
Source: sopt
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
           Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
               catch2,
               cmake,
               debhelper-compat (= 13),
               libblas-dev,
               libeigen3-dev,
               libspdlog-dev,
               libtiff5-dev,
               mpi-default-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sopt
Vcs-Git: https://salsa.debian.org/debian-astro-team/sopt.git
Homepage: https://astro-informatics.github.io/sopt/
Rules-Requires-Root: no

Package: libsopt3.0t64
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libsopt3.0 (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libsopt3.0
Description: Sparse OPTimisation shared library
 SOPT is a C package to perform Sparse OPTimisation.  It solves a
 variety of sparse regularisation problems, including the SARA
 algorithm.
 .
 SOPT is largely provided to support the PURIFY package, a companion
 open-source code to perform radio interferometric imaging, also
 written by the authors of SOPT.
 .
 This package contains the shared library.

Package: libsopt-dev
Architecture: any
Section: libdevel
Depends: mpi-default-dev,
         libsopt3.0t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development package for Sparse OPTimisation library
 SOPT is a C package to perform Sparse OPTimisation.  It solves a
 variety of sparse regularisation problems, including the SARA
 algorithm.
 .
 SOPT is largely provided to support the PURIFY package, a companion
 open-source code to perform radio interferometric imaging, also
 written by the authors of SOPT.
 .
 This package contains the development files.
