## sopt 5.0.1%2Bdfsg

=== debian/changelog ===
sopt (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.0.1+dfsg
  * Switch back to unstable to start transition
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 29 Sep 2025 12:53:55 +0200

sopt (5.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.0.0+dfsg (Closes: #1113528)
  * Rediff patches
  * Change SOVERSION to 5.0
  * Switch to experimental to prepare transition.
  * Remove obsolete 'Name' from d/u/metadata
  * Push Standards-Version to 4.7.2, no changes needed
  * Build-Depends: libtiff5-dev => libtiff-dev
  * d/watch: update to format version 5.0
  * d/copyright: remove outdated paragraph

 -- Ole Streicher <olebole@debian.org>  Mon, 29 Sep 2025 11:06:21 +0200
