## sopt 5.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 find_package(Git)
 
 # Set version variable
-set(SOPT_VERSION 3.1.0)
+set(SOPT_VERSION 5.0.0)
 
 # If git is found and this is a git workdir, then figure out build id
 # Stores results in SOPT_VERSION and SOPT_GITREF
@@ -102,11 +102,6 @@
   include(AddExample)
 endif()
 
-if(benchmarks)
-  set(GBenchmark_GIT_TAG "v1.3.0")
-  include(AddBenchmark)
-endif()
-
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-command-line-argument")
 
 if(tests AND coverage)
