=== cpp/CMakeLists.txt ===

set(version ${SOPT_VERSION})
string(REGEX REPLACE "\\." ";" version "${SOPT_VERSION}")
list(GET version 0 SOPT_VERSION_MAJOR)
list(GET version 1 SOPT_VERSION_MINOR)
list(GET version 2 SOPT_VERSION_PATCH)

configure_file(sopt/config.in.h "${PROJECT_BINARY_DIR}/include/sopt/config.h")

add_subdirectory(sopt)
if(examples OR tests)
  # Tiff wrappers and whatnot
  add_subdirectory(tools_for_tests)
endif()
if(tests)
  add_subdirectory(tests)
endif()
if(examples)
  add_subdirectory(examples)
endif()
if(benchmarks)
  add_subdirectory(benchmarks)
endif()
if (docs)
  add_subdirectory(docs)
endif()
