=== cpp/benchmarks/CMakeLists.txt ===
add_executable(wavelets wavelets.cc)
target_link_libraries(wavelets benchmark sopt)
add_executable(conjugate_gradient conjugate_gradient.cc)
target_link_libraries(conjugate_gradient benchmark sopt)
add_executable(l1_proximal l1_proximal.cc)
target_link_libraries(l1_proximal benchmark sopt)
