=== cpp/sopt/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
   bisection_method.h chained_operators.h credible_region.h
   imaging_padmm.h logging.h
   forward_backward.h imaging_forward_backward.h
-  g_proximal.h l1_g_proximal.h joint_map.h
+  non_differentiable_func.h l1_non_diff_function.h real_indicator.h joint_map.h
+  differentiable_func.h l2_differentiable_func.h gradient_utils.h
   imaging_primal_dual.h primal_dual.h
   maths.h proximal.h relative_variation.h sdmm.h
   wavelets.h conjugate_gradient.h l1_proximal.h padmm.h proximal_expression.h
@@ -11,7 +12,7 @@
   tv_primal_dual.h gradient_operator.h
   l2_forward_backward.h l2_primal_dual.h
   real_type.h sampling.h power_method.h objective_functions.h ${PROJECT_BINARY_DIR}/include/sopt/config.h
-)
+  )
 
 set(wavelet_headers
   wavelets/direct.h wavelets/indirect.h wavelets/innards.impl.h wavelets/sara.h
@@ -31,7 +32,9 @@
 endif()
 
 if(onnxrt)
-  list(APPEND headers ort_session.h tf_g_proximal.h)
+
+  list(APPEND headers ort_session.h onnx_differentiable_func.h tf_non_diff_function.h)
+
 endif()
 
 add_library(sopt SHARED ${sources})
@@ -52,6 +55,7 @@
 if(EIGEN3_INCLUDE_DIR)
   target_include_directories(sopt SYSTEM PUBLIC ${EIGEN3_INCLUDE_DIR})
 endif()
+message(STATUS "Eigen3 include dir ${EIGEN3_INCLUDE_DIR}")
 
 if(SOPT_OPENMP)
   target_link_libraries(sopt OpenMP::OpenMP_CXX)
@@ -63,8 +67,14 @@
 endif()
 
 if(onnxrt)
+  if(${onnxruntime_FOUND})
+    message(STATUS "ONNX Source dir ${onnxruntime_SOURCE_DIR}")
+    message(STATUS "ONNX Include dir ${onnxruntime_INCLUDE_DIR}")
+  endif()
   target_link_libraries(sopt ${onnxruntime_LIBRARIES})
   target_include_directories(sopt SYSTEM PUBLIC ${onnxruntime_INCLUDE_DIR})
+else()
+  message(STATUS "ONNXrt not found. ONNXrt support disabled.")
 endif()
 
 install(FILES ${headers} DESTINATION include/sopt)
