=== cpp/tests/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,8 @@
 add_catch_test(forward_backward LIBRARIES sopt tools_for_tests SEED ${RAND_SEED})
 add_catch_test(gradient_operator LIBRARIES sopt tools_for_tests SEED ${RAND_SEED})
 add_catch_test(inpainting LIBRARIES sopt tools_for_tests SEED ${RAND_SEED})
+add_catch_test(stochastic_update LIBRARIES sopt tools_for_tests SEED ${RAND_SEED})
+add_catch_test(pd_inpainting LIBRARIES sopt tools_for_tests SEED ${RAND_SEED})
 add_catch_test(linear_transform LIBRARIES sopt SEED ${RAND_SEED})
 add_catch_test(maths LIBRARIES sopt SEED ${RAND_SEED})
 add_catch_test(padmm LIBRARIES sopt SEED ${RAND_SEED})
@@ -49,6 +51,7 @@
   add_catch_test(ort_model LIBRARIES sopt ${onnxruntime_LIBRARIES})
   add_catch_test(tf_model LIBRARIES sopt tools_for_tests ${onnxruntime_LIBRARIES})
   add_catch_test(tf_inpainting LIBRARIES sopt tools_for_tests ${onnxruntime_LIBRARIES} SEED ${RAND_SEED})
+  add_catch_test(onnx_inpainting LIBRARIES sopt tools_for_tests ${onnxruntime_LIBRARIES} SEED ${RAND_SEED})
 endif()
 
 install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test_data DESTINATION .)
