=== cpp/examples/forward_backward/CMakeLists.txt ===
add_example(forward_backward_inpainting inpainting.cc LIBRARIES sopt tools_for_tests)
add_example(forward_backward_l2_inpainting l2_inpainting.cc LIBRARIES sopt tools_for_tests)
add_example(forward_backward_inpainting_joint_map inpainting_joint_map.cc LIBRARIES sopt tools_for_tests)
add_example(forward_backward_inpainting_credible_interval inpainting_credible_interval.cc LIBRARIES sopt tools_for_tests NOTEST)
