=== cpp/examples/proximal_admm/CMakeLists.txt ===
add_example(padmm_euclidian_norm euclidian_norm.cc LIBRARIES sopt LABELS padmm)
add_example(padmm_inpainting inpainting.cc LIBRARIES sopt tools_for_tests)
add_example(padmm_reweighted NOTEST reweighted.cc LIBRARIES sopt tools_for_tests)
