=== debian/control ===
--- 
+++ 
@@ -11,23 +11,20 @@
                libblas-dev,
                libeigen3-dev,
                libspdlog-dev,
-               libtiff5-dev,
+               libtiff-dev,
                mpi-default-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sopt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sopt.git
 Homepage: https://astro-informatics.github.io/sopt/
 Rules-Requires-Root: no
 
-Package: libsopt3.0t64
+Package: libsopt5.0
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libsopt3.0 (<< ${source:Version})
-Provides: ${t64:Provides}
-Replaces: libsopt3.0
 Description: Sparse OPTimisation shared library
  SOPT is a C package to perform Sparse OPTimisation.  It solves a
  variety of sparse regularisation problems, including the SARA
@@ -43,7 +40,7 @@
 Architecture: any
 Section: libdevel
 Depends: mpi-default-dev,
-         libsopt3.0t64 (= ${binary:Version}),
+         libsopt5.0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development package for Sparse OPTimisation library
