=== debian/watch ===
Version: 5
Template: Github
Owner: astro-informatics
Project: sopt
Repacksuffix: +dfsg
